import React from "react"
import style from "./../style/Modal.module.scss"

interface Props {
	show: boolean
	onCloseClick?: ()=>void
}

const Modal: React.FC<Props> = (props) => {
	return (
		<div className={`${style.overlay} ${!props.show && style.hidden}`} onClick={()=>{
			props.onCloseClick?.()
		}}>
			<div className={style.body} onClick={(e)=>{
				e.stopPropagation()
			}}>
				{props.children}
			</div>
		</div>
	)
}

export default Modal